﻿using MVCSampleBrowser.Models;
using Syncfusion.JavaScript.DataSources;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.JavaScript.Models;
using System.Web.Script.Serialization;
using System.Reflection;
using Newtonsoft.Json;
using Syncfusion.JavaScript;

namespace MvcApplication66.Controllers
{
    public class HomeController : Controller
    {
        List<Employees> emp = new List<Employees>();
        List<Orders> Ord = new List<Orders>();
        public ActionResult Index()
        {
            BindDataSource();
            ViewBag.dataSource = Ord;
ViewBag.dropData = emp;
            return View();
        }
        private void BindDataSource()
        {
            emp.Add(new Employees(1, "Tester"));
            emp.Add(new Employees(1, "Engineer"));
            emp.Add(new Employees(2, "Engineer"));
            emp.Add(new Employees(2, "Manaul Tester"));
            emp.Add(new Employees(3, "Manaul Tester"));
            emp.Add(new Employees(3, "Margaret"));
            emp.Add(new Employees(4, "Margaret"));
            emp.Add(new Employees(4, "Automation"));
            emp.Add(new Employees(5, "Operator"));
            emp.Add(new Employees(5, "Build analyst"));
            emp.Add(new Employees(6, "Website"));
            emp.Add(new Employees(6, "Build analyst"));
            emp.Add(new Employees(7, "Website"));
            emp.Add(new Employees(8, "Automation"));
            int code = 10000;
            for (int i = 1; i <= 9; i++)
            {
                Ord.Add(new Orders(code + 1, "ALFKI", i, 2.3 * i, new DateTime(1991, 05, 15), "Berlin" + i));
                code += 5;
            }
        }
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(long OrderId, string CustomerId, int EmployeeId, double Freight, DateTime OrderDate, string ShipCity)
            {
                this.OrderID = OrderId;
                this.CustomerID = CustomerId;
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
                this.OrderDate = OrderDate;
                this.ShipCity = ShipCity;
            }
            public long OrderID { get; set; }
            public string CustomerID { get; set; }
            public int EmployeeID { get; set; }
            public double Freight { get; set; }
            public DateTime OrderDate { get; set; }
            public string ShipCity { get; set; }
        }
        [Serializable]
        public class Employees
        {
            public Employees()
            {

            }
            public Employees(int EmployeeId, string FirstName)
            {

                this.EmployeeID = EmployeeId;
                this.Roles = FirstName;
            }
            public int EmployeeID { get; set; }
            public string Roles { get; set; }
        }
    }
}